## PhoshBatteryInfo

PhoshBatteryInfo — A widget to display the battery status

## Functions

GtkWidget * | phosh_battery_info_new ()
void | phosh_battery_info_set_show_detail ()
gboolean | phosh_battery_info_get_show_detail ()

## Properties

gboolean | present | Read
gboolean | show-detail | Read / Write / Construct

## Types and Values

#define | PHOSH_TYPE_BATTERY_INFO
| PhoshBatteryInfo

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── PhoshStatusIcon
                            ╰── PhoshBatteryInfo

## Implemented Interfaces

PhoshBatteryInfo implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### phosh_battery_info_new ()

    GtkWidget *
    phosh_battery_info_new (void);

### phosh_battery_info_set_show_detail ()

    void
    phosh_battery_info_set_show_detail (PhoshBatteryInfo *self,
                                        gboolean show);

### phosh_battery_info_get_show_detail ()

    gboolean
    phosh_battery_info_get_show_detail (PhoshBatteryInfo *self);

## Types and Values

### PHOSH_TYPE_BATTERY_INFO

    #define PHOSH_TYPE_BATTERY_INFO (phosh_battery_info_get_type())

### PhoshBatteryInfo

    typedef struct _PhoshBatteryInfo PhoshBatteryInfo;

## Property Details

### The `“present”` property

      “present”                  gboolean

Whether WWAN hardware is present.

Owner: PhoshBatteryInfo

Flags: Read

Default value: FALSE

### The `“show-detail”` property

      “show-detail”              gboolean

Owner: PhoshBatteryInfo

Flags: Read / Write / Construct

Default value: FALSE